Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.log
Class AbstractErrorLog

    java.lang.Object
      |
      +--com.caucho.http.log.AbstractErrorLog

Direct Known Subclasses:
  ErrorLog

public abstract class AbstractErrorLog
extends java.lang.Object

Represents an log of every error log request to the server.

Field Summary
`protected static WriteStream` | `dbg`
`protected WriteStream` | `logStream`

Constructor Summary
`AbstractErrorLog()`

Method Summary
`void` | `destroy()` Cleanup the log.
`WriteStream` | `getLogStream()` Returns the access-log's path.
`void` | `init()` Initialize the log.
`abstract void` | `log(java.lang.String message, HttpServletRequest request, HttpServletResponse response, ServletContext application)` Logs an error.
`abstract void` | `log(java.lang.String message, java.lang.Throwable exception, HttpServletRequest request, HttpServletResponse response, ServletContext application)` Logs an error.
`void` | `setLogStream(WriteStream os)` Sets the access-log's path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbg

    protected static WriteStream dbg

### logStream

    protected WriteStream logStream

Constructor Detail

### AbstractErrorLog

    public AbstractErrorLog()

Method Detail

### getLogStream

    public WriteStream getLogStream()

  Returns the access-log's path.

### setLogStream

    public void setLogStream(WriteStream os)

  Sets the access-log's path.

### init

    public void init()
              throws ServletException,
                     java.io.IOException

  Initialize the log.

### log

    public abstract void log(java.lang.String message,
                             HttpServletRequest request,
                             HttpServletResponse response,
                             ServletContext application)
                      throws java.io.IOException

  Logs an error.
  Parameters:
    `message` - the error message
    `request` - the servlet request
    `response` - the servlet response
    `application` - the servlet context

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable exception,
                             HttpServletRequest request,
                             HttpServletResponse response,
                             ServletContext application)
                      throws java.io.IOException

  Logs an error.
  Parameters:
    `message` - the error message
    `exception` - the thrown exception
    `request` - the servlet request
    `response` - the servlet response
    `application` - the servlet context

### destroy

    public void destroy()
                 throws java.io.IOException

  Cleanup the log.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD